#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.5
visibility:           public
id:                   persistent-test-2.0.3.5-FnmoYY1v7rgLah0xJDnmWs
key:                  persistent-test-2.0.3.5-FnmoYY1v7rgLah0xJDnmWs
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  ba72acbc1171bfddf23413cff9e5bf9e
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.3/site-local/persistent-test-2.0.3.5
library-dirs:         /usr/lib/ghc-8.10.3/site-local/persistent-test-2.0.3.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/persistent-test-2.0.3.5
hs-libraries:         HSpersistent-test-2.0.3.5-FnmoYY1v7rgLah0xJDnmWs
depends:
    HUnit-1.6.1.0-AhWJ4ItV2KqIExS8jxtlOJ
    QuickCheck-2.14.2-SjTCKKIy0zL3ed4WaAqPy
    aeson-1.5.5.1-E81o7ZLeKZ2F33ZL69kpyr base-4.14.1.0
    blaze-html-0.9.1.2-7QffE33sj7JABT1bKR1GMy bytestring-0.10.12.0
    conduit-1.3.4-9kvTHK8uwbp5dGHQvu9pIp containers-0.6.2.1
    exceptions-0.10.4 hspec-2.7.6-6txnE8Wv2KjI2E1Irk1ZmL
    hspec-expectations-0.8.2-7OqKeVy4nvKGfLs4LUqx5T
    monad-control-1.0.2.3-IWNve9ajqpnKJJUVu2w6G4
    monad-logger-0.3.36-IbCm2FhLM8e9Znt0HOsLmp mtl-2.2.2
    path-pieces-0.2.1-8q2eB6sQVysEcd9HpZsL9B
    persistent-2.11.0.2-Hk7rJTXg5BZDSUUqrQ4aod
    persistent-template-2.9.1.0-6mzDZFUtWpZD6ndi0Hk7rn
    quickcheck-instances-0.3.25.2-ByneG8FsnO8HlapywFzNp5
    random-1.2.0-2oMeoq1l81e2o54ELOj6Jv
    resourcet-1.2.4.2-LT3ZJbmB51k95TkSus1W04 text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-92fWeamQKOKELUFVxLVsFH
    unliftio-0.2.13.1-G8YARMcRUxe52DnLy0GSuk
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-D33WFZMtrpm4EjBHW4MnLA

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

